Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common
Class TemplateDefinitionInfo

    java.lang.Object
      |
      +--com.bea.wlpi.common.TemplateDefinitionInfo

public final class TemplateDefinitionInfo
extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable, Publishable

Holds information about a workflow template definition.

Objects of this class override the `boolean equals(Object)` and implement the `comparable` interface. Homogeneous collections containing objects of this class may, therefore, be searched and sorted using the `Collection.contains(Object), List.indexOf(Object), Collections.sort(List)` methods.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`TemplateDefinitionInfo(java.lang.String id, java.sql.Timestamp effective, java.sql.Timestamp expiry, boolean active)` Create a new `TemplateDefinitionInfo` object.
`TemplateDefinitionInfo(java.lang.String id, java.sql.Timestamp effective, java.sql.Timestamp expiry, boolean active, java.lang.String templateId, java.lang.String templateName)` Create a new `TemplateDefinitionInfo` object.
`TemplateDefinitionInfo(java.lang.String id, java.sql.Timestamp effective, java.sql.Timestamp expiry, boolean active, java.lang.String templateId, java.lang.String templateName, java.lang.String xml, java.util.Map pluginData, boolean published)`

Method Summary
`int` | `compareTo(java.lang.Object o)` Compare two `TemplateDefinitionInfo` objects.
`boolean` | `equals(java.lang.Object obj)` Test two `TemplateDefinitionInfo` objects for equality.
`boolean` | `getActive()` Return whether the definition is marked as active.
`java.lang.Object` | `getContents()`
`java.sql.Timestamp` | `getEffective()` Return the effective date for the definition.
`java.lang.String` | `getEntryName()`
`java.sql.Timestamp` | `getExpiry()` Return the expiry date for the definition.
`java.lang.String` | `getId()` Return the template definition ID.
`java.lang.String` | `getOwnerName()`
`java.util.Map` | `getPluginData()` Get the template definition properties for all plugins.
`PluginObject` | `getPluginData(java.lang.String pluginName)` Get the object containing template definition properties for the specified plugin.
`java.util.List` | `getReferencedPublishables(java.util.Map publishables)`
`java.lang.String` | `getTemplateId()` Return the template ID.
`java.lang.String` | `getTemplateName()` Return the template name (if known).
`int` | `getType()`
`boolean` | `isPublished()` Whether this template definition is published.
`void` | `publish()`
`java.lang.String` | `toString()` Return a string representation of the object.
`java.lang.String` | `toXML()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TemplateDefinitionInfo

    public TemplateDefinitionInfo(java.lang.String id,
                                  java.sql.Timestamp effective,
                                  java.sql.Timestamp expiry,
                                  boolean active)

  Create a new `TemplateDefinitionInfo` object.

  Parameters:
    `id` - Template definition ID.
    `effective` - The date/time on which the definition becomes effective.
    `expiry` - The date/time on which the definition expires.
    `active` - `true` if definition is active (i.e., can be instantiated).

### TemplateDefinitionInfo

    public TemplateDefinitionInfo(java.lang.String id,
                                  java.sql.Timestamp effective,
                                  java.sql.Timestamp expiry,
                                  boolean active,
                                  java.lang.String templateId,
                                  java.lang.String templateName)

  Create a new `TemplateDefinitionInfo` object.

  Parameters:
    `id` - Template definition ID.
    `effective` - The date/time on which the definition becomes effective.
    `expiry` - The date/time on which the definition expires.
    `active` - `true` if definition is active (i.e., can be instantiated).
    `templateId` - The id of the template containing this definition.

### TemplateDefinitionInfo

    public TemplateDefinitionInfo(java.lang.String id,
                                  java.sql.Timestamp effective,
                                  java.sql.Timestamp expiry,
                                  boolean active,
                                  java.lang.String templateId,
                                  java.lang.String templateName,
                                  java.lang.String xml,
                                  java.util.Map pluginData,
                                  boolean published)

  Since:
    WebLogic Process Integrator 2.0

Method Detail

### getId

    public final java.lang.String getId()

  Return the template definition ID.

  Returns:
    The template definition ID as set by the constructor.

### getTemplateId

    public final java.lang.String getTemplateId()

  Return the template ID.

  Returns:
    The template ID as set by the constructor.

### getTemplateName

    public final java.lang.String getTemplateName()

  Return the template name (if known).

  Returns:
    The template name as set by the constructor.
  Since:
    WebLogic Process Integrator 2.0

### getEffective

    public final java.sql.Timestamp getEffective()

  Return the effective date for the definition.

  Returns:
    The effective date as set by the constructor.

### getExpiry

    public final java.sql.Timestamp getExpiry()

  Return the expiry date for the definition.

  Returns:
    The expiry date as set by the constructor.

### getActive

    public final boolean getActive()

  Return whether the definition is marked as active.

  Returns:
    The active flag as set by the constructor.

### getPluginData

    public java.util.Map getPluginData()

  Get the template definition properties for all plugins.

  Returns:
    Plugin template definition properties.
  Since:
    WebLogic Process Integrator 2.0

### getPluginData

    public PluginObject getPluginData(java.lang.String pluginName)

  Get the object containing template definition properties for the specified plugin.

  Parameters:
    `pluginName` - The plugin name.
  Returns:
    Plugin specific template definition properties.
  Since:
    WebLogic Process Integrator 2.0

### isPublished

    public boolean isPublished()

  Whether this template definition is published.
  Specified by:
    isPublished in interface Publishable

  Returns:
    `true` if published.
  Since:
    WebLogic Process Integrator 2.0

### publish

    public void publish()

  Specified by:
    publish in interface Publishable

### equals

    public boolean equals(java.lang.Object obj)

  Test two `TemplateDefinitionInfo` objects for equality.

  Parameters:
    `obj` - Object with which to compare this one.
  Returns:
    `true` if `obj` is an instance of `TemplateDefinitionInfo` with the same ID as this one.
  Overrides:
    equals in class java.lang.Object
  See Also:
    `compareTo(java.lang.Object)`

### compareTo

    public int compareTo(java.lang.Object o)

  Compare two `TemplateDefinitionInfo` objects.
  Specified by:
    compareTo in interface java.lang.Comparable

  Parameters:
    `o` -
  Returns:
    The result of comparing the `templateName`, `effective`, and `expiry` members using their compareTo(Object) methods.
  Throws:
    java.lang.ClassCastException - if `o` is not an instance of `TemplateDefinitionInfo`.
  See Also:
    `equals(java.lang.Object)`

### toString

    public java.lang.String toString()

  Return a string representation of the object.

  Returns:
    String representation, showing the values of members.
  Overrides:
    toString in class java.lang.Object
  Since:
    WebLogic Process Integrator 2.0

### toXML

    public java.lang.String toXML()

### getContents

    public java.lang.Object getContents()

  Specified by:
    getContents in interface Publishable

### getEntryName

    public java.lang.String getEntryName()

  Specified by:
    getEntryName in interface Publishable

### getType

    public int getType()

  Specified by:
    getType in interface Publishable

### getOwnerName

    public java.lang.String getOwnerName()

  Specified by:
    getOwnerName in interface Publishable

### getReferencedPublishables

    public java.util.List getReferencedPublishables(java.util.Map publishables)

  Specified by:
    getReferencedPublishables in interface Publishable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)